org.apache.ignite.transactions

## Interface TransactionMetrics

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  TransactionMetricsAdapter

    public interface TransactionMetrics
    extends Serializable

Transaction metrics, shared across all caches.

### Method Summary

Methods
`long` `commitTime()` Gets last time transaction was committed.
`long` `rollbackTime()` Gets last time transaction was rollback.
`int` `txCommits()` Gets total number of transaction commits.
`int` `txRollbacks()` Gets total number of transaction rollbacks.

### Method Detail

#### commitTime

    long commitTime()

Gets last time transaction was committed.

Returns:
  Last commit time.

#### rollbackTime

    long rollbackTime()

Gets last time transaction was rollback.

Returns:
  Last rollback time.

#### txCommits

    int txCommits()

Gets total number of transaction commits.

Returns:
  Number of transaction commits.

#### txRollbacks

    int txRollbacks()

Gets total number of transaction rollbacks.

Returns:
  Number of transaction rollbacks.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017